Contents
Locations
Locations
A location is a bin or spot within a warehouse where inventory is stored. Each location has a unique spot code.
The Location Object
The list response (GET /Location) returns a projected subset. The single response (GET /Location/{spot}) returns a fuller set of fields.
List shape:
{
"spot": "A-01-03",
"wid": 1,
"description": "Aisle A, Row 1, Bin 3",
"type": 0,
"zone": "A",
"hold": false,
"capacity": 1000,
"pickPath": 0,
"modified": "2025-01-15T09:00:00"
}| Field | Type | Description |
|---|---|---|
spot | string | Unique location identifier (spot code) |
wid | integer | Warehouse this location belongs to |
description | string | Human-readable location description |
type | integer | Location type code |
zone | string | Location zone |
hold | boolean | true when the location is on hold |
capacity | integer | Storage capacity |
pickPath | integer | Pick path value |
modified | datetime | Last modified timestamp |
Note: The single-location response (
GET /Location/{spot}) adds fields such asprivate,width,depth,height,mixable,rack,refrigerated,outside,permanent,fda,dateLastCounted,countFrequency,created.
List Locations
GET /LocationReturns all locations with standard pagination parameters. Filter by warehouse using the optional wid parameter.
| Parameter | Type | Required | Description |
|---|---|---|---|
wid | integer | No | Filter results to a specific warehouse |
GET /Location?wid=1&page=1&pageSize=50{
"value": [
{
"spot": "A-01-03",
"wid": 1,
"description": "Aisle A, Row 1, Bin 3",
"type": 0,
"zone": "A",
"hold": false,
"capacity": 1000,
"pickPath": 0,
"modified": "2025-01-15T09:00:00"
},
{
"spot": "B-02-07",
"wid": 1,
"description": "Aisle B, Row 2, Bin 7",
"type": 0,
"zone": "B",
"hold": true,
"capacity": 800,
"pickPath": 1,
"modified": "2025-01-15T09:00:00"
}
],
"totalCount": 240,
"page": 1,
"pageSize": 50,
"pageCount": 5,
"hasMore": true
}Get a Location
GET /Location/{spot}Returns 404 if the spot code does not exist.
GET /Location/A-01-03{
"spot": "A-01-03",
"wid": 1,
"description": "Aisle A, Row 1, Bin 3",
"type": 0,
"zone": "A",
"hold": false,
"capacity": 1000,
"pickPath": 0,
"modified": "2025-01-15T09:00:00"
}Hold a Location
POST /Location/Hold?id={spot}Places a location on hold. Returns 200 with a confirmation object.
POST /Location/Hold?id=A-01-03{ "id": "A-01-03", "status": "held" }| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Spot code of the location to hold |
Release a Location
POST /Location/Release?id={spot}Releases a held location, restoring normal operations. Returns 200 with a confirmation object.
POST /Location/Release?id=A-01-03{ "id": "A-01-03", "status": "released" }| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Spot code of the location to release |
Permissions
| Action | Permission |
|---|---|
| List / Get | Warehouse Locations List (SecurityID 114) |
| Hold / Release | Create/Modify Warehouse Location (SecurityID 115) |
On this page